declare type Resolver = (project: string) => string | null;
interface ProjectDirs {
    cache: Resolver;
    config: Resolver;
    data: Resolver;
    dataLocal: Resolver;
    preference: Resolver;
    runtime: Resolver;
}
interface Project {
    qualifier: string;
    organization: string;
    application: string;
}
export declare function projectToString({ qualifier, organization, application, }: Project): string;
export declare const projectDirs: ProjectDirs;
export {};
