export declare function readUserDirs(): void;
declare type Resolver = () => string | null;
interface UserDir {
    home: Resolver;
    audio: Resolver;
    desktop: Resolver;
    document: Resolver;
    download: Resolver;
    font: Resolver;
    picture: Resolver;
    public: Resolver;
    template: Resolver;
    video: Resolver;
}
export declare const userDirs: UserDir;
export {};
