var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
import { homedir } from "os";
import { resolve } from "path";
export var extraEnv = {};
export function parseUserDirs(content) {
    // TODO support absolute paths
    return content
        .split("\n")
        .map(function (s) { return s.match(/^XDG_(\w+)_DIR="\$HOME\/(.+)"$/); })
        .filter(function (p) { return p !== null; })
        .map(function (match) { return [match[1], match[2]]; });
}
export function homerel() {
    var paths = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        paths[_i] = arguments[_i];
    }
    return resolve.apply(void 0, __spreadArrays([homedir()], paths));
}
export function envrel(env) {
    var _a;
    var paths = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        paths[_i - 1] = arguments[_i];
    }
    var val = (_a = extraEnv[env]) !== null && _a !== void 0 ? _a : process.env[env];
    if (val) {
        return resolve.apply(void 0, __spreadArrays([val], paths));
    }
    return null;
}
export var isWin = function () { return process.platform === "win32"; };
export var isMac = function () { return process.platform === "darwin"; };
